<?php
	/**
		* The template for displaying the header
		*
		* Displays all of the head element and everything up until the "site-content" div.
		*
		* @package WordPress
		* @subpackage Twenty_Sixteen
		* @since Twenty Sixteen 1.0
	*/
	
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
	<head>
		
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link href="<?php bloginfo('template_url'); ?>/img/favicon.ico" rel="shortcut icon" type="image/x-icon"; />
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">		
		<?php endif; ?>
		<?php wp_head(); ?>
		<style>@font-face{font-family:'Cabin';font-style:normal;font-weight:400;src:local('Cabin Regular'), local('Cabin-Regular'), url(http://fonts.gstatic.com/s/cabin/v7/yQOMOX5hR0-6LTD879t-PQ.woff2) format('woff2');}
			@font-face{font-family:'PT Sans';font-style:normal;font-weight:400;src:local('PT Sans'), local('PTSans-Regular'), url(http://fonts.gstatic.com/s/ptsans/v8/ATKpv8nLYAKUYexo8iqqrg.woff2) format('woff2');}
			@font-face{font-family:'PT Sans';font-style:normal;font-weight:700;src:local('PT Sans Bold'), local('PTSans-Bold'), url(http://fonts.gstatic.com/s/ptsans/v8/0XxGQsSc1g4rdRdjJKZrNPk_vArhqVIZ0nv9q090hN8.woff2) format('woff2');}
			@font-face{font-family:'Quattrocento';font-style:normal;font-weight:400;src:local('Quattrocento'), url(http://fonts.gstatic.com/s/quattrocento/v7/WZDISdyil4HsmirlOdBRFOgdm0LZdjqr5-oayXSOefg.woff2) format('woff2');}
			@font-face {
			font-family: 'Roboto Condensed';
			src: local('Roboto Condensed'), local('RobotoCondensed-Regular'), url('<?php bloginfo('template_url'); ?>/css/robotocondensed.woff2') format('woff2'), url('<?php bloginfo('template_url'); ?>/css/robotocondensed.woff') format('woff'), url('<?php bloginfo('template_url'); ?>/css/robotocondensed.ttf') format('truetype');
			font-weight: 400;
			font-style: normal;
			}
			a, abbr, acronym, address, applet, article, aside, audio, b, big, blockquote, body, canvas, caption, center, cite, code, dd, del, details, dfn, div, dl, dt, em, embed, fieldset, figcaption, figure, footer, form, h1, h2, h3, h4, h5, h6, header, hgroup, html, i, iframe, img, ins, kbd, label, legend, li, mark, menu, nav, object, ol, output, p, pre, q, ruby, s, samp, section, small, span, strike, strong, sub, summary, sup, table, tbody, td, tfoot, th, thead, time, tr, tt, u, ul, var, video{border:0;font:inherit;color:inherit;text-decoration:inherit;vertical-align:baseline;margin:0;padding:0;}
			article, aside, details, figcaption, figure, footer, header, hgroup, img, menu, nav, section{display:block;}
			body{font-family:"PT Sans", sans-serif;color:#000;line-height:1;background:#fff;}
			ol, ul{list-style:none;}
			blockquote, q{quotes:none;}
			blockquote:after, blockquote:before, q:after, q:before{content:none;}
			table{border-collapse:collapse;border-spacing:0;}
			html{-webkit-text-size-adjust:100%}
			.google-map{height:350px;}
			.content-area, .main-footer, .nc-footer{max-width:1160px;margin:0 auto;}
			.logo-footer, .logo-main{display:inline-block;}
			.logo-footer img, .logo-main img{width:100%;}
			.main-header-wrapper{background: #7a797f;background: linear-gradient(0deg, #c1c1c1, #7a797f);}
			.main-header{text-align:center;position:relative;max-width:1110px;margin:0 auto;}
			.logo-main{margin:24px 20px 14px;}
			.header-contact-details{background:#27130a;text-align:center;padding-bottom:30px;padding-top:10px;}
			.header-contact-details .call-to-action{display:block;font:22px/1 Quattrocento, serif;color: #ffb91b;margin:20px 20px 5px;}
			.header-contact-details .phone{font:28px/1 Quattrocento, serif;color:#fff;padding-left:27px;background:url(<?php bloginfo('template_url'); ?>/img/phone.png) left 4px no-repeat;}
			.header-contact-details a:hover{text-decoration:underline;}
			.quick-links{display:none;}
			.menu-main-container, .mobile-menu-wrapper{width:100%}
			.mobile-menu-wrapper{text-align: center;background: #4e4e4e;background: linear-gradient(0deg, #4e4e4e, #7c7c7c);font-size: 0;}
			.mobile-menu{display:inline-block;border-right:1px solid #593f40;border-left:1px solid #878787;}
			.mobile-menu li{float:left;border-left:1px solid #593f40;border-right:1px solid #878787;}
			.toogle-menu a, .menu a, .mobile-menu a{display:block;font: 14px/1 Cabin, sans-serif;text-decoration:none;color:#fff;}
			.toogle-menu a:hover, .menu a:hover, .mobile-menu a:hover{background-color:#E7C272;color:#000;}
			.mobile-menu a{padding:7px 15px;min-height:1em;text-align:right;background:url(<?php bloginfo('template_url'); ?>/img/mobile-menu-menu.png) 15px center no-repeat;text-transform:uppercase;}
			.mobile-menu .burger a{background-image:url(<?php bloginfo('template_url'); ?>/img/mobile-menu-menu.png);padding-left:25px;}
			.mobile-menu .phone a{background-image:url(<?php bloginfo('template_url'); ?>/img/mobile-menu-phone.png);padding-left:27px;}
			.mobile-menu .email a{background-image:url(<?php bloginfo('template_url'); ?>/img/mobile-menu-email.png);padding-left:35px;}
			.mobile-menu .directions a{background-image:url(<?php bloginfo('template_url'); ?>/img/mobile-menu-directions.png);padding-left:36px;}
			.mobile-menu .searchButton a{background-image:url(<?php bloginfo('template_url'); ?>/img/mobile-menu-search.png);padding-left:29px;}
			.mobile-menu span{display:none;padding-left:10px;}
			.mobile-menu .burger span{display:inline;}
			.menu-main-container{z-index:99;background:#4e4e4e;position:absolute;display:none;top:28px;}
			.menu-main-container.showing{display:block;}
			.menu{padding:10px 0 25px;border-bottom:7px solid #3f3f3f;}
			.menu a{padding:3px 0 3px 1em;}
			.menu .searchButton{display:none;}
			.menu .hide{position:absolute;bottom:0;right:1em;border-radius:5px 5px 0 0;overflow:hidden;}
			.menu .hide a{background-color:#3f3f3f;display:inline-block;padding:.5em 1em 7px;}
			.menu>li>a{text-transform:uppercase;}
			.menu ul a{text-indent:1em;}
			.menu ul ul a{text-indent:2em;}
			.menu ul ul ul a{text-indent:3em;}
			.menu ul ul ul ul a{text-indent:4em;}
			.sub-header-wrapper{background:url(<?php bloginfo('template_url'); ?>/img/bg.jpg) center top no-repeat;overflow:hidden;min-height:200px;}
			.sub-header-wrapper{background-size:100% auto;}
			.sub-header{max-width: 1160px;overflow:hidden;margin:0 auto;position:relative;text-align:center;font-size:0;display:none;}
			body.home .sub-header{display:block;}
			.slogan{background: rgba(149, 111, 17, 0.8);border-bottom:1px solid #fff;border-top:1px solid #fff;padding:30px;font:20px/1.2 Quattrocento, serif;color:#fff;display:inline-block;text-transform:uppercase;margin:50px 0;}
			.sub-header img{width:300px;height:220px;margin-right:-80px;display:none;}
			.content-area{background: #e7e7e7;overflow:hidden;}
			.buckets{background:url(<?php bloginfo('template_url'); ?>/img/buckets-bg.png);padding:20px 4.5% 0;overflow:hidden;}
			.buckets li{width:100%;float:left;border-radius:5px;background:url(<?php bloginfo('template_url'); ?>/img/bucket-bg-repeat.png) top;overflow:hidden;margin-bottom:20px;}
			.buckets li:hover{background-image:url(<?php bloginfo('template_url'); ?>/img/bucket-bg-repeat-hover.png);}
			.buckets li:first-child{margin-left:0;}
			.buckets a{display:block;background:url(<?php bloginfo('template_url'); ?>/img/bucket-bg.png) left top no-repeat;height:114px;}
			.buckets a:hover{background-image:url(<?php bloginfo('template_url'); ?>/img/bucket-bg-hover.png);}
			.buckets li .contents{position:relative;height:100%;background:url(<?php bloginfo('template_url'); ?>/img/bucket-2-icon.png) 18px 18px no-repeat;}
			.buckets li:first-child .contents{background:url(<?php bloginfo('template_url'); ?>/img/bucket-1-icon.png) 18px 18px no-repeat;}
			.buckets h2{font:16px/1.05 Quattrocento, serif;color:#fff;letter-spacing:.1px;width:160px;padding:30px 0 0 116px;}
			.buckets span{font:14px/25px Cabin, serif;color:#000;text-align:center;letter-spacing:-.1px;position:absolute;bottom:0;width:100%;text-indent:20%}
			.main-content{color:#3f3f3f;padding:25px;background:#fff;font-size:17px;line-height:1.45;margin:20px;border-radius:5px 5px 0 0;}
			.main-content h1, .main-content .subtitle, .main-content h3, .main-content h4, .main-content h5{font:28px/1.15 Quattrocento, serif;letter-spacing:-.2px;padding-bottom:23px;}
			.main-content .subtitle, .main-content h3, .main-content h5{font-size:22px;}
			.main-content h4{font-size:16px;}
			.main-content .author, .main-content ol, .main-content p, .main-content ul{letter-spacing:-.35px;}
			.main-content ol, .main-content p, .main-content ul{padding-bottom:24px;}
			.main-content .author{display:block;padding:25px 0 8px;text-align:center;font-style:italic;}
			.main-content ol, .main-content ul{list-style-position:outside;padding-left:20px;}
			.main-content ul{list-style-type:disc;}
			.main-content ol{list-style-type:decimal;}
			.main-content a{color:#0F43C6;text-decoration:underline;}
			.contact-form{padding: 24px 22px;color: #fff;background: #7a797f;background: linear-gradient(0deg, #c1c1c1, #7a797f);}
			.contact-form br{display:none;}
			.contact-form .title{font:18px/1.15 Quattrocento, serif;padding:5px 15px 22px;}
			.contact-form input, .search-form input{-webkit-appearance:none;outline:0;border:0;border-radius:0;}
			.contact-form input[type=email], .contact-form input[type=tel], .contact-form input[type=text], .search-form input[type=text]{font:18px/normal "PT Sans", sans-serif;color:#303030;width:97%;padding:6px 0 5px 3%;margin-bottom:8px;}
			.contact-form input[type=checkbox]{display:none;}
			.contact-form label{display:none!important}
			.contact-form .chbform{position:relative;text-align:center;font: 15px/1.65 "PT Sans", serif;}
			.contact-form .chb:before {display:block;position:absolute;top:3px;left:5px;width:18px;height:18px;content: " ";background:#fff;cursor:pointer;}
			.contact-form .checked:before{background:url(<?php bloginfo('template_url'); ?>/img/checkmark.png) center center no-repeat #fff;}
			.contact-form input[type=submit], .search-form input[type=submit]{font:22px/1 Cabin, sans-serif;width:100%;background: #9E2A12;background: linear-gradient(0deg, #241915, #634f48);border: 1px solid #928885;color:#fff;text-transform:uppercase;padding:12px 0 9px;cursor:pointer;margin-top: 10px;}
			.contact-form input[type=submit]:hover, .search-form input[type=submit]:hover{border: 0;padding: 13px 0 10px;background: #ec2a35;background: linear-gradient(0deg, #634f48, #241915);}
			.contact-form a{text-decoration:underline;}
			.wpcf7-not-valid-tip{display:block;color:red;margin-bottom:8px;}
			.wpcf7-response-output{margin-top:8px;}
			.wpcf7-validation-errors{display:block;color:red;}
			.wpcf7-mail-sent-ok{color:green;}
			.wpcf7 .screen-reader-response{display:none;}
			.search-form-wrapper{display:none;text-align:center;font-size:0;background:#c1c1c1;}
			.search-form-wrapper.showing{display:block;}
			.search-form{display:inline-block;width:95%;max-width:400px;padding:15px 0;}
			.search-form input[type=text]{width:68%;font-size:13px;padding:3px 0 3px 3%;margin-bottom:0;}
			.search-form input[type=submit]{font-size:12px;width:25%;padding:5px;}
			.search-form input[type=submit]:hover{padding:6px;}
			.practice-areas{background:#18184E;background:linear-gradient(180deg, #094BA1, #0B0759 100px);color:#fff;border-top:1px solid #505050;border-bottom:1px solid #505050;margin-top:1px;}
			.practice-areas h2{font:small-caps 32px/1 Quattrocento, serif;padding:14px 0 13px 41px;letter-spacing:-.3px;background:url(<?php bloginfo('template_url'); ?>/img/practice-areas-header-bg.png) left center no-repeat;}
			.practice-areas h2 span{display:block;font:14px/1 Cabin, sans-serif;text-transform:uppercase;color:#ee5459;letter-spacing:2.6px;}
			.practice-areas ul{padding:0 0 15px 42px;}
			.practice-areas li{padding:2px 0;border-top:1px solid #505050;}
			.practice-areas li:first-child{border-top:0;}
			.practice-areas a{display:block;background:url(<?php bloginfo('template_url'); ?>/img/arrow.png) 7px center no-repeat;padding:5px 0 6px 20px;margin-left:-20px;}
			.practice-areas a:hover{background-color:#eb232e;background-image:url(<?php bloginfo('template_url'); ?>/img/arrow-hover.png);}
			.social-media{border-top:1px solid #505050;margin-top:1px;padding:23px 0 23px 15px;text-align:center;}
			.social-media .title{font:small-caps 32px/1 Quattrocento, serif;letter-spacing:-.3px;color:#7a797f;}
			.social-media ul{overflow:hidden;margin-top:20px;position:relative;left:1px;display:inline-block;}
			.social-media li{float:left;margin-left:12px;}
			.social-media li:first-child{margin:0;}
			.social-media a{display:block;width:41px;height:41px;}
			.social-media .facebook{background:url(<?php bloginfo('template_url'); ?>/img/facebook.png) 1px 7px no-repeat #2c4485;}
			.social-media .facebook:hover{background-color:#627ebf;}
			.social-media .twitter{background:url(<?php bloginfo('template_url'); ?>/img/twitter.png) center center no-repeat #16acf2;}
			.social-media .twitter:hover{background-color:#46c7fe;}
			.social-media .linkedin{background:url(<?php bloginfo('template_url'); ?>/img/linkedin.png) center center no-repeat #1670b7;}
			.social-media .linkedin:hover{background-color:#3e9ad9;}
			.social-media .googleplus{background:url(<?php bloginfo('template_url'); ?>/img/googleplus.png) center center no-repeat #c1071d;}
			.social-media .googleplus:hover{background-color:#eb2e3e;}
			.social-media .blogspot{background:url(<?php bloginfo('template_url'); ?>/img/blogspot.png) center center no-repeat #FF6500;}
			.social-media .blogspot:hover{background-color:#F97E3A;}
			.main-footer{background:url(<?php bloginfo('template_url'); ?>/img/footer-bg.jpg) bottom center no-repeat #c1c1c1;padding:47px 0 50px;text-align:center;}
			.footer-contact-details, .logo-footer{vertical-align:middle;}
			.logo-footer{margin:10px 20px;max-width:496px;}
			.footer-contact-details{display:block;font-size:16px;line-height:1.4;color:#2d2d2d;padding-top:40px;letter-spacing:-.2px;}
			.footer-contact-details .address, .footer-contact-details a{color:#fff;}
			.footer-contact-details .address{padding:0 40px;display:block;}
			.footer-contact-details .phone{display:block;}
			.footer-contact-details a:hover{text-decoration:underline;}
			.footer-menu-wrapper{padding:0 20px;}
			.footer-menu{border-bottom:1px solid #a1a1a1;font-size:0;padding:20px 0;margin-top:20px;}
			.footer-menu li{display:inline-block;padding:10px 15px;}
			.footer-menu a{font:12px/1.2 Cabin, sans-serif;text-transform:uppercase;color:#C66219;}
			.footer-menu a:hover{color:#fff;}
			.attorney-advertising{max-width:770px;margin:0 auto;font-size:15px;padding:35px 20px;letter-spacing:-.1px;}
			.attorney-advertising .aa-title{font-weight:700;text-transform:uppercase;padding-bottom:5px;color:#2D2D2D;}
			.attorney-advertising p{font-style:italic;line-height:1.35;color:#2D2D2D;}
			.nc-footer{background:#c1c1c1;text-align:center;padding:38px 45px;max-width:1070px;color:#2D2D2D;font:10px/1.2 Arial, sans-serif;}
			@media (min-width:400px){.footer-contact-details .phone{border-right:1px solid #a1a1a1;margin-right:10px;padding-right:12px;display:inline-block;}
			.buckets h2{font-size:20px;width:200px;padding-top:25px;}
			}@media (min-width:500px){.mobile-menu span{display:inline;}
			.footer-menu-wrapper{padding:0 30px;}
			.buckets h2{font-size:22px;width:220px;padding-top:20px;}
			.slogan{margin:20% 0;padding:40px 50% 40px 10%;font-size:20px;}
			.sub-header img{display:inline-block;width:80%;max-width:310px;height:auto;margin-top:-85%;margin-right:-50%}			
			}@media (min-width:600px){.buckets h2{font-size:24px;width:240px;padding-top:20px;}
			.footer-menu-wrapper{padding:0 40px;}
			.footer-menu{padding:20px;}
			.slogan{font-size:22px;}
			}@media (min-width:700px){.buckets li{width:calc(50% - 14px);margin-left:28px;}
			.ie8 .buckets li{width:45%;margin-left:4%}
			.buckets h2{font-size:18px;width:180px;padding-top:30px;}
			.buckets span{font-size:13px;}
			.slogan{margin:17% 0;font-size:24px;}
			}@media (min-width:800px){.buckets h2{font-size:20px;width:200px;padding-top:25px;}
			.slogan{margin:20% 0 13%;font-size:26px;}
			}@media (min-width:900px){.main-content{padding:44px 63px;min-height:450px;}
			.page-id-5 .main-content{min-height:0;}
			.left-side{width:calc(100% - 270px);float:right;}
			.right-side{width:24%;width:270px;float:left;}
			.buckets h2{font-size:16px;width:160px;padding-top:30px;}
			.buckets span{font-size:14px;}
			.social-media{text-align:left;}
			.footer-menu{padding:20px 40px;}
			.logo-footer{margin:0;}
			.sub-header-wrapper{height:1200px;}
			body.page .sub-header-wrapper{margin-bottom:-1000px;}
			body.error404 .sub-header-wrapper{margin-bottom:-1000px;}
			body.single .sub-header-wrapper{margin-bottom:-1000px;}
			body.search .sub-header-wrapper{margin-bottom:-1000px;}
			body.home .sub-header-wrapper{margin-bottom:-800px;}
			.sub-header{overflow:visible;}
			.slogan{margin-top:200px;padding:20px 220px 20px 50px;font-size:30px;width:390px;margin-left:-240px;}
			.sub-header img{display:block;margin-top:20px;margin-right:0;}
			}@media (min-width:1000px){.buckets h2{font-size:20px;width:200px;padding-top:25px;}
			.main-header-wrapper{border-top:13px solid #c1c1c1;}
			.toogle-menu,.mobile-menu{display:none;}
			.menu-main-container{background: url(<?php bloginfo('template_url'); ?>/img/menubacker.jpg) repeat;position:relative;display:block;text-align:center;font-size:0;top:0;}
			.menu{display:inline-block;padding:0;border:0;}
			.menu>li{display:inline-block;vertical-align:top;}
			.menu>li:not(:first-child){border-left: 1px solid #6F6F6F;}
			.menu li{position:relative;}
			.menu a{font-size:12px;padding:11px 10px 13px;letter-spacing:.1px;text-indent:0!important;}
			.menu .searchButton{display:inline-block;}
			.menu .searchButton a{width:1em;height:1em;background-image:url(<?php bloginfo('template_url'); ?>/img/search.png);background-repeat:no-repeat;background-position:center center;}
			.menu .hide{display:none;}
			.menu ul{background:#8C8B91;text-align:left;display:none;}
			.menu ul a{padding:7px;min-width:180px;border:1px solid #010412;}
			.menu ul ul{position:absolute;display:none;left:100%;top:0;}
			.menu li:hover>ul{display:block;position:absolute;}
			.main-header{text-align:left;}
			.header-contact-details{position:absolute;top:0;right:0;padding-top:0;background:0 0;}
			.quick-links{font-size:0;background:#c1c1c1;display:inline-block;padding:10px 10px 14px;}
			.quick-links li{display:inline-block;}
			.quick-links a{display:inline-block;font:12px/1 Cabin, sans-serif;text-transform:uppercase;color:#fff;margin:0 10px;padding-bottom:1px;}
			.quick-links a:hover{text-decoration:none;border-bottom:1px solid #fff;padding-bottom:0;}
			.quick-links li:first-child{border-right:1px solid #fff;}			
			.footer-contact-details{display:inline-block;border-left:1px solid #a1a1a1;margin-left:33px;padding:2px 0 2px 35px;}
			.footer-contact-details .address{padding:0;}
			.footer-menu{padding:20px 120px;}
			}@media (min-width:1050px){.buckets h2{font-size:22px;width:220px;padding-top:20px;}
			}@media (min-width:1160px){.menu a{font-size:14px;padding:13px 12px 15px;}
			.content-area{border-radius:5px 5px 0 0;}
			}@media (min-width:1250px){.menu a{font-size:15px;padding:15px 12px 17px;}}
			strong{font-weight:bold;}
			#map_canvas {width:100%;height:500px;background-color:#CCC;}	
			.page-contact{background: #7a797f;background: linear-gradient(0deg, #c1c1c1, #7a797f);}			
			.toogle-wrapper{display:none;position:absolute;z-index:10;background: #2d2d2d;width:100%}
			.toogle-menu {padding: 10px 0 25px;border-bottom: 7px solid #3f3f3f;}
			.toogle-menu > li > a {text-transform: uppercase;}
			.toogle-menu a {padding: 7px 0 7px 1em;text-align: left;}
			.toogle-menu ul a {text-indent: 1em;}
			.toogle-menu ul ul a {text-indent: 3em;}
			.toogle-menu ul ul ul a {text-indent: 3em;}
			.toogle-menu ul ul ul ul a {text-indent: 4em;}
			.scroll-top {position: fixed;width: 34px;height: 34px; background: url(<?php bloginfo('template_url'); ?>/img/go-up.png) no-repeat;bottom: 5%;right: 5%;z-index: 888;cursor: pointer;}
			.scroll-top:hover {background: url(<?php bloginfo('template_url'); ?>/img/go-up-h.png) no-repeat;}
			.scroll-top:after {content: "Go Up"; text-align: center; bottom: -20px; left: -10px; display: none; position: absolute; width: 55px; color: #b1b1b1;font-size: 13px; line-height: 12px;}
			.scroll-top:hover:after {content: "Go Up"; display: block !important;}
			.read-more{text-align: end;margin: -25px 0 15px 0;}
			.author-date{text-align: end; font-style: italic;}
			@media (max-width: 500px) {.main-footer {padding:0;}}
		</style>
	</head>
	
	<body <?php body_class(); ?>>
		<div class="mobile-menu-wrapper">
			<ul class="mobile-menu">
				<li class="burger"><a href="#"><span>Menu</span></a></li>
				<li class="phone"><a href="tel:+12152976333"><span>Call</span></a></li>
				<li class="email"><a href="/contact-us"><span>Email</span></a></li>
				<li class="directions"><a href="/direction"><span>Visit</span></a></li>
				<li class="searchButton"><a href="#"><span>Search</span></a></li>
			</ul>
		</div>
		<?php wp_nav_menu( array(
			'menu' => 'main',
			'container' => 'nav',
			'container_class' => 'toogle-wrapper',
			'menu_class' => 'toogle-menu'
		) ); ?>
		
		<div class="search-form-wrapper">
			<?php get_search_form(); ?>
		</div>
		
		<header class="main-header-wrapper">
			<div class="main-header">
				<a class="logo-main" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php bloginfo('template_url'); ?>/img/main.png" alt="The Law Offices of Greg Prosmushkin P.C."></a>
				<div class="header-contact-details">
					<ul class="quick-links">
						<li><a href="/contact-us">Contact Us</a></li>
						<li><a href="/direction">Directions</a></li>
					</ul>
					<span class="call-to-action">Call for a Free Consultation</span>
					<span class="phone"><a href="tel:+12154373058 ">215.437.3058 </a></span>
				</div>
			</div>
		</header>
		
		
		
		<?php wp_nav_menu( array(
			'menu' => 'main',
			'container' => 'nav',
			'theme_location' => 'primary'
		) ); ?>
		
		<div class="sub-header-wrapper">
			<div class="sub-header">
			<img src="<?php bloginfo('template_url'); ?>/img/sh-greg.png" alt="Greg Prosmushkin">
			</div>
		</div>																